## GESBaseEffectClip GESBaseEffectClip — An effect in a GESLayer |

## Synopsis

    #include <ges/ges.h>

                        GESBaseEffectClip;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESContainer
                         +----GESClip
                               +----GESOperationClip
                                     +----GESBaseEffectClip
                                           +----GESEffectClip

## Implemented Interfaces

GESBaseEffectClip implements GESExtractable and GESMetaContainer.

## Description

The effect will be applied on the sources that have lower priorities (higher number) between the inpoint and the end of it.

In a GESSimpleLayer, the priorities will be set for you but if you use another type of GESLayer, you will have to handle it yourself.

## Details

### GESBaseEffectClip

    typedef struct _GESBaseEffectClip GESBaseEffectClip;